com.ihr.xbrl.dts

## Class ClsPackQNameContainer

- java.lang.Object
- - com.ihr.xbrl.dts.ClsPackQNameContainer

-     public class ClsPackQNameContainer
      extends java.lang.Object

  Encapsulates a container and the dimension name together. the container is a constant XDTHypercubeUse.SEGMENT or XDTHypercubeUse.SCENARIO the dimension name is the dimension QName
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClsPackQNameContainer(javax.xml.namespace.QName name, XDTDimensionUse dUse, int container, boolean visible)` Instantiates a new cls pack q name container.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getContainer()` Gets the container.
    `XDTDimensionUse` | `getDimensionUse()` Gets the dimension use.
    `javax.xml.namespace.QName` | `getName()` Gets the name.
    `int` | `hashCode()`
    `boolean` | `isVisible()` Checks if is visible.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClsPackQNameContainer

          public ClsPackQNameContainer(javax.xml.namespace.QName name,
                               XDTDimensionUse dUse,
                               int container,
                               boolean visible)

      Instantiates a new cls pack q name container.
      Parameters:
        `name` - the name
        `dUse` - the d use
        `container` - the container
        `visible` - the visible

  - ### Method Detail

    - #### getContainer

          public int getContainer()

      Gets the container.
      Returns:
        the container

    - #### isVisible

          public boolean isVisible()

      Checks if is visible.
      Returns:
        the visible

    - #### getName

          public javax.xml.namespace.QName getName()

      Gets the name.
      Returns:
        the name

    - #### getDimensionUse

          public XDTDimensionUse getDimensionUse()

      Gets the dimension use.
      Returns:
        the dUse

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`